Last modified: 2014-01-02 05:35:58 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 51927 - Thanks icon (green smiley speech bubble) needs further consideration
Thanks icon (green smiley speech bubble) needs further consideration
Status: REOPENED
Product: MediaWiki extensions
Classification: Unclassified
Thanks (Other open bugs)
master
All All
: Lowest enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-24 06:58 UTC by MZMcBride
Modified: 2014-01-02 05:35 UTC (History)
11 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Thanks icon for Echo from https://bits.wikimedia.org/static-1.22wmf10/extensions/Thanks/ThankYou.png (468 bytes, image/png)
2013-07-24 06:59 UTC, MZMcBride
Details

Description MZMcBride 2013-07-24 06:58:47 UTC
I'm not sure if it's the overly large smile or what, but I find the current thanks-related Echo notification icon to be a bit disturbing. I'll upload a copy of it for reference momentarily.
Comment 1 MZMcBride 2013-07-24 06:59:26 UTC
Created attachment 12939 [details]
Thanks icon for Echo from https://bits.wikimedia.org/static-1.22wmf10/extensions/Thanks/ThankYou.png
Comment 2 Quim Gil 2013-09-26 20:35:15 UTC
imho the current icon is just fine, and I haven't seen users complaining about it either...
Comment 3 Max Semenik 2013-09-26 20:40:14 UTC
Reminds me a bit of http://www.thelaughbutton.com/site/wp-content/uploads/2011/10/cornholio.jpg
Comment 4 Quim Gil 2013-10-03 04:05:49 UTC
It seems that the WMF designers are working on standardized icons for "faces". See also bug 41484.
Comment 5 p858snake 2013-10-03 07:10:08 UTC
Reopening, Its customary around here to include a reason when wontfixing.
Comment 6 Jared Zimmerman (WMF) 2013-10-03 17:30:29 UTC
(In reply to comment #0)
> I'm not sure if it's the overly large smile or what, but I find the current
> thanks-related Echo notification icon to be a bit disturbing. I'll upload a
> copy of it for reference momentarily.

MZMcBride, due to your track record of high quality thoughtful bugs and comments on discussions in the community, I honestly assumed this was a joke. 

IF you are truly "disturbed" by the icon perhaps it is some deeper issue that may have nothing to do with the icon itself but a fear or smiling? Either way, the icon was arrived at because the original icon (a heart) was found to be confusing to some cultures, a smile on the other hand while skirting the line of us trying to avoid iconography with human forms (eyes, hands, etc) was selected because with a few small caveats smiles and smiling are felt to be a universal sign of happiness and good will. 

as Quim mentioned, the new icon seems to have overwhelming acceptance compared to any previous iteration of the iconography, and we've not gotten any significant complaints.
Comment 7 MZMcBride 2013-10-04 03:35:12 UTC
(In reply to comment #6)
> MZMcBride, due to your track record of high quality thoughtful bugs and
> comments on discussions in the community, I honestly assumed this was a joke. 

Not a joke, no. But I'm fine with closing this bug. More below.

> If you are truly "disturbed" by the icon perhaps it is some deeper issue that
> may have nothing to do with the icon itself but a fear of smiling?

:-)

I'm not a huge fan of smiley faces being used in the user interface (e.g., [[mw:Extension:MoodBar]]). I think it often comes across as childish and/or amateurish and/or creepy. I think the green square-headed variety of smilies are particularly strange and off-putting.

> Either way, the icon was arrived at because the original icon (a heart) was
> found to be confusing to some cultures, a smile on the other hand while
> skirting the line of us trying to avoid iconography with human forms (eyes,
> hands, etc) was selected because with a few small caveats smiles and smiling
> are felt to be a universal sign of happiness and good will. 
> 
> As Quim mentioned, the new icon seems to have overwhelming acceptance
> compared to any previous iteration of the iconography, and we've not gotten
> any significant complaints.

Okay. Different people naturally respond differently. This bug was actually changed from the default "new" resolution to "unconfirmed" because I wasn't sure if anyone else had the same reaction as I did. If nobody else minds the green square-headed smiley face, we can close this bug as "worksforme".
Comment 8 Isarra 2013-10-04 04:29:06 UTC
I had a similar reaction when I saw it. The smiley face seems both creepy and just plain out of place, though not necessarily any more than a heart would have been.

Thing is, though, 'thanking' isn't really a concept that can be described visually. Some things just aren't, and trying to assign icons to them may not be the best approach in light of that.
Comment 9 Trevor Parscal 2013-10-22 21:25:12 UTC
The use of a smile is defensible, not a slam-dunk obvious best choice, but defensible - if for no other reason than the lack of a better alternative.

But a green speech bubble is not a face. It should contain nothing, or if you must put something inside, maybe it could contain letters, words or lines representing a sentence. And even if it were a circle, which is an acceptable shape for a face, green is not an appropriate color for a face. Yellow is the most common but if you don't want to use yellow for some reason, the only safe colors to use are neutrals.

Trying to merge a speech bubble and a face is where this icon falls apart. I'd really like to see this actually resolved and am happy to defend the merits of this icon being indeed "creepy".

Iconic green faces:
- Witches
- Monsters
- Zombies
- The Incredible Hulk while angry

Just type green face into Google search.
Comment 10 Jared Zimmerman (WMF) 2013-10-22 21:29:39 UTC
I don't want to be dismissive but we have so many more important conversations to be having and issues to be resolving than this. If there was some outpouring of user complaints and issues over this (like there was over the use of a heart) i'd be more inclined to focus more effort on it, but that simply hasn't happened.
Comment 11 Brandon Harris 2013-10-22 21:53:51 UTC
How about a small package with a bow, like a present?

Also green face: Mr. Yuk.
Comment 12 Jared Zimmerman (WMF) 2013-10-23 03:59:47 UTC
We can come up with negative green faces all day long, or we could think of positive ones 

frogs
muppets 
green man
green m&m 
turtles (regular and TMNT kind)
Hulk (goes both ways)
the grinch (at the end, not the beginning)
kermit the frog


my point is, we can project and spin around all we want, the point is, we're going to find something wrong with anything thats proposed.
Comment 13 MZMcBride 2013-10-23 15:10:08 UTC
I've adjusted the bug summary to be a bit less confrontational.

While I don't love the idea of treating thanks as gifts, I think Brandon's suggestion in comment 11 merits serious consideration. Isarra's suggestion to not use an icon at all (in comment 8) also merits serious consideration.
Comment 14 Nathan Larson 2013-12-31 12:56:53 UTC
(In reply to comment #12)
> We can come up with negative green faces all day long, or we could think of
> positive ones 
> 
> frogs
> muppets 
> green man
> green m&m 
> turtles (regular and TMNT kind)
> Hulk (goes both ways)
> the grinch (at the end, not the beginning)
> kermit the frog
> 
> 
> my point is, we can project and spin around all we want, the point is, we're
> going to find something wrong with anything thats proposed.

It depends on who the "we" is; support will typically not be unanimous, but a "rough consensus" can emerge. Isn't this the sort of issue that's usually settled by some kind of popularity contest, kinda like when WMF was trying to figure out what logos to use for Wikipedia, Meta-Wiki, etc.? https://en.wikipedia.org/wiki/Wikipedia:Wikipedia_logos https://meta.wikimedia.org/wiki/Meta:Babel/Metawiki_logo_poll

I don't see a problem with people saying they don't like the aesthetics and would prefer something different; in such cases, we let people put forth suggestions for alternatives, debate the pros and cons, and ultimately poll to see what users prefer. Beauty (and creepiness) is rather subjective. Even if the smiley is fine (I think it's okay, albeit a bit quirky), maybe someone can come up with something even better. Or we dispense with the icon altogether, if that's what people want to do.

Those who think the issue is unimportant need not watch any discussion pages that are started or keep themselves on the cc list of the bug. Usually discussion about the merits of keeping a discussion open wastes more time than if the discussion had just been allowed to run its course.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links